Package org.eclipse.net4j.util.transaction

# Schnittstelle ITransactionalOperation<CONTEXT>

public interface ITransactionalOperation<CONTEXT>

Autor:
  Eike Stepper

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`void`
`phase1(CONTEXT context)`
`void`
`phase2(CONTEXT context)`
`void`
`undoPhase1(CONTEXT context)`

## Methodendetails

### phase1

void phase1(CONTEXT context) throws Exception

Löst aus:
  `Exception`

### phase2

void phase2(CONTEXT context)

### undoPhase1

void undoPhase1(CONTEXT context)